﻿$ErrorActionPreference = 'Stop'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://download.sublimetext.com/Sublime%20Text%20Build%203200.zip'
    checksum       = 'fa23b33f4be02b6187820af3737b2cfc94130ddab8cde8ed2557ba20e08eff0e'
    checksumType   = 'SHA256'

    url64          = 'https://download.sublimetext.com/Sublime%20Text%20Build%203200%20x64.zip'
    checksum64     = '2294b31d1eab295976a1e8e234c94424985922454a6e94b44dfa1d6debac3616'
    checksumType64 = 'SHA256'
    unzipLocation  = $toolsdir
}

# Some of this was taken from https://github.com/brianmego/Chocolatey/pull/6
Install-ChocolateyZipPackage @packageArgs

# Start menu shortcuts
$progsFolder = [Environment]::GetFolderPath('Programs')
If ( Test-ProcessAdminRights ) {
    $progsFolder = [Environment]::GetFolderPath('CommonPrograms') 
}

Install-ChocolateyShortcut -shortcutFilePath (Join-Path -Path $progsFolder -ChildPath 'Sublime Text 3 Portable.lnk') `
    -targetPath (Join-Path -Path $toolsDir -ChildPath "sublime_text.exe")
